Loading...
Searching...
No Matches
BALL::VIEW::ExportGeometryDialog Class Reference

`#include <BALL/VIEW/DIALOGS/exportGeometryDialog.h>`

Inheritance diagram for BALL::VIEW::ExportGeometryDialog:

## Public Slots

int | exec ()
void | accept ()

## Public Member Functions

| ExportGeometryDialog (QWidget *parent=NULL, const char *name="ExportGeometryDialog")
virtual | ~ExportGeometryDialog ()
void | setFilename (QString filename)
QString | getFilename ()
BALL_DEPRECATED bool | export_vrml ()
BALL_DEPRECATED bool | export_stl ()
bool | split ()

## Public Attributes

bool | reps [100]
bool | basestats [100]

## Protected slots

void | browseFiles ()
void | protomode ()
void | viewmode ()

## Detailed Description

Definition at line 21 of file exportGeometryDialog.h.

## Constructor & Destructor Documentation

## ExportGeometryDialog()

BALL::VIEW::ExportGeometryDialog::ExportGeometryDialog | ( | QWidget * | parent = NULL,
|  | const char * | name = "ExportGeometryDialog" )

## ~ExportGeometryDialog()

virtual BALL::VIEW::ExportGeometryDialog::~ExportGeometryDialog | ( |  | ) |

virtual

## Member Function Documentation

## accept

void BALL::VIEW::ExportGeometryDialog::accept | ( |  | ) |

slot

## browseFiles

void BALL::VIEW::ExportGeometryDialog::browseFiles | ( |  | ) |

protected slot

Opens the file decision dialog

## exec

int BALL::VIEW::ExportGeometryDialog::exec | ( |  | ) |

slot

Show and raise the dialog

## export_stl()

BALL_DEPRECATED bool BALL::VIEW::ExportGeometryDialog::export_stl | ( |  | ) |

inline

for information whether stl export was chosen

Deprecated
  STL export is always used for 3D structured; will be removed in next release. Returns always true.

Definition at line 51 of file exportGeometryDialog.h.

## export_vrml()

BALL_DEPRECATED bool BALL::VIEW::ExportGeometryDialog::export_vrml | ( |  | ) |

inline

for information whether vrml export was chosen

Deprecated
  VRML export is no longer supported; will be removed in next release. Returns always false.

Definition at line 45 of file exportGeometryDialog.h.

## getFilename()

QString BALL::VIEW::ExportGeometryDialog::getFilename | ( |  | ) |

inline

Definition at line 40 of file exportGeometryDialog.h.

## protomode

void BALL::VIEW::ExportGeometryDialog::protomode | ( |  | ) |

protected slot

If unprintable files should be not checkable

## setFilename()

void BALL::VIEW::ExportGeometryDialog::setFilename | ( | QString | filename | ) |

inline

for transfer of continous filenumber from scene to dialog

Definition at line 38 of file exportGeometryDialog.h.

## split()

bool BALL::VIEW::ExportGeometryDialog::split | ( |  | ) |

for information whether representations have to be split into several files

## viewmode

void BALL::VIEW::ExportGeometryDialog::viewmode | ( |  | ) |

protected slot

Normal mode without test on prototype-ability

## Member Data Documentation

## basestats

bool BALL::VIEW::ExportGeometryDialog::basestats[100]

Definition at line 67 of file exportGeometryDialog.h.

## reps

bool BALL::VIEW::ExportGeometryDialog::reps[100]

for information which representations in scene have to be exported for the information which reps have to be restored for the basestate

Definition at line 65 of file exportGeometryDialog.h.